org.richfaces.taglib

## Class SuggestionBoxTag

- java.lang.Object
- - javax.faces.webapp.UIComponentTagBase
  - - javax.faces.webapp.UIComponentClassicTagBase
    - - javax.faces.webapp.UIComponentELTag
      - - org.richfaces.webapp.taglib.UIComponentELTagBase
        - - org.ajax4jsf.webapp.taglib.UIComponentTagBase
          - - org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
            - - org.richfaces.taglib.SuggestionBoxTag

- All Implemented Interfaces:
    javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

      public class SuggestionBoxTag
      extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

- - ### Field Summary

    - ### Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `bodyContent, pageContext, UNIQUE_ID_PREFIX`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SuggestionBoxTag()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComponentType()`
    `java.lang.String` | `getRendererType()`
    `void` | `release()`
    `void` | `setAjaxSingle(javax.el.ValueExpression __ajaxSingle)` Boolean attribute which provides possibility to limit JSF tree processing(decoding, conversion/validation, value applying) to the component which send the request only.
    `void` | `setBgcolor(javax.el.ValueExpression __bgcolor)` Deprecated.
    `void` | `setBorder(javax.el.ValueExpression __border)` This attributes specifies the width (in pixels only) of the frame around a table Setter for border
    `void` | `setBypassUpdates(javax.el.ValueExpression __bypassUpdates)` If "true", after process validations phase it skips updates of model beans on a force render response.
    `void` | `setCellpadding(javax.el.ValueExpression __cellpadding)` This attribute specifies the amount of space between the border of the cell and its contents.
    `void` | `setCellspacing(javax.el.ValueExpression __cellspacing)` This attribute specifies how much space the user agent should leave between the table and the column on all four sides.
    `void` | `setEntryClass(javax.el.ValueExpression __entryClass)` Name of the CSS class for a suggestion entry element.
    `void` | `setEventsQueue(javax.el.ValueExpression __eventsQueue)` Name of requests queue to avoid send next request before complete other from same event.
    `void` | `setFetchValue(javax.el.ValueExpression __fetchValue)` A value to set in the target input element on a choice suggestion that isn't shown in the suggestion table.
    `void` | `setFirst(javax.el.ValueExpression __first)` A zero-relative row number of the first row to display Setter for first
    `void` | `setFor(javax.el.ValueExpression __for)` id (or full path of id's) of target components, for which this element must provide support.
    `void` | `setFrame(javax.el.ValueExpression __frame)` This attribute specifies which sides of the frame surrounding a table will be visible.
    `void` | `setFrequency(javax.el.ValueExpression __frequency)` Delay (in seconds) before activating the suggestion pop-up.
    `void` | `setHeight(javax.el.ValueExpression __height)` Height of the pop-up window in pixels.
    `void` | `setIgnoreDupResponses(javax.el.ValueExpression __ignoreDupResponses)` Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Setter for ignoreDupResponses
    `void` | `setImmediate(javax.el.ValueExpression __immediate)` A flag indicating that this component value must be converted and validated immediately (that is, during Apply Request Values phase), rather than waiting until a Process Validations phase.
    `void` | `setLimitToList(javax.el.ValueExpression __limitToList)` If "true", then of all AJAX-rendered on the page components only those will be updated, which ID's are passed to the "reRender" attribute of the describable component.
    `void` | `setMinChars(javax.el.ValueExpression __minChars)` Minimal number of chars in input to activate suggestion pop-up Setter for minChars
    `void` | `setNothingLabel(javax.el.ValueExpression __nothingLabel)` "nothingLabel" is inserted to popup list if the autocomplete returns empty list.
    `void` | `setOnbeforedomupdate(javax.el.ValueExpression __onbeforedomupdate)` The client side script method to be called before DOM is updated Setter for onbeforedomupdate
    `void` | `setOncomplete(javax.el.ValueExpression __oncomplete)` The client side script method to be called after the request is completed Setter for oncomplete
    `void` | `setOnobjectchange(javax.el.ValueExpression __onobjectchange)` HTML: script expression; selected objects are changed Setter for onobjectchange
    `void` | `setOnselect(javax.el.ValueExpression __onselect)` HTML: script expression; after value of target element is updated Setter for onselect
    `void` | `setOnsubmit(javax.el.ValueExpression __onsubmit)` HTML: script expression; before ajax event is submited Setter for onsubmit
    `void` | `setParam(javax.el.ValueExpression __param)` Name the HTTP request parameter with the value of input element token.
    `void` | `setPopupClass(javax.el.ValueExpression __popupClass)` HTML CSS class attribute of element for pop-up suggestion content Setter for popupClass
    `void` | `setPopupStyle(javax.el.ValueExpression __popupStyle)` HTML CSS style attribute of element for pop-up suggestion content Setter for popupStyle
    `void` | `setProcess(javax.el.ValueExpression __process)` Id['s] (in format of call UIComponent.findComponent()) of components, processed at the phases 2-5 in case of AjaxRequest caused by this component.
    `protected void` | `setProperties(javax.faces.component.UIComponent component)`
    `void` | `setRequestDelay(javax.el.ValueExpression __requestDelay)` Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send.
    `void` | `setReRender(javax.el.ValueExpression __reRender)` Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component.
    `void` | `setRowClasses(javax.el.ValueExpression __rowClasses)` A comma-delimited list of CSS style classes that is applied to popup table rows.
    `void` | `setRules(javax.el.ValueExpression __rules)` This attribute specifies which rules will appear between cells within a table.
    `void` | `setSelectedClass(javax.el.ValueExpression __selectedClass)` Name of the CSS class for a selected suggestion entry element (table row) Setter for selectedClass
    `void` | `setSelectValueClass(javax.el.ValueExpression __selectValueClass)` Name of the CSS class for a selected suggestion entry element (table cell) Setter for selectValueClass
    `void` | `setSelfRendered(javax.el.ValueExpression __selfRendered)` If "true", forces active Ajax region render response directly from stored components tree, bypasses page processing.
    `void` | `setShadowDepth(javax.el.ValueExpression __shadowDepth)` Pop-up shadow depth for suggestion content Setter for shadowDepth
    `void` | `setShadowOpacity(javax.el.ValueExpression __shadowOpacity)` Attribute defines shadow opacity for suggestion content Setter for shadowOpacity
    `void` | `setSimilarityGroupingId(javax.el.ValueExpression __similarityGroupingId)` If there are any component requests with identical IDs then these requests will be grouped.
    `void` | `setStatus(javax.el.ValueExpression __status)` ID (in format of call UIComponent.findComponent()) of Request status component Setter for status
    `void` | `setSuggestionAction(javax.el.MethodExpression __suggestionAction)` Method calls an expression to get a collection of suggestion data on request.
    `void` | `setSummary(javax.el.ValueExpression __summary)` This attribute provides a summary of the table's purpose and structure for user agents rendering to non-visual media such as speech and Braille Setter for summary
    `void` | `setTimeout(javax.el.ValueExpression __timeout)` Response waiting time on a particular request.
    `void` | `setTokens(javax.el.ValueExpression __tokens)` The list (or single value) of symbols which can be used for division chosen of suggestion pop-up values in a target element.
    `void` | `setUsingSuggestObjects(javax.el.ValueExpression __usingSuggestObjects)` if true, a suggested object list will be created and will be updated every time when an input value is changed.
    `void` | `setVar(java.lang.String __var)` A request-scope attribute via which the data object for the current row will be used when iterating Setter for var
    `void` | `setWidth(javax.el.ValueExpression __width)` Width of the pop-up window in pixels.
    `void` | `setZindex(javax.el.ValueExpression __zindex)` Attribute is similar to the standard HTML attribute and can specify window placement relative to the content.

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

      `setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase

      `getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

    - ### Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase

      `setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

    - ### Methods inherited from class javax.faces.webapp.UIComponentELTag

      `createComponent, getELContext, hasBinding, setBinding, setRendered`

    - ### Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `doEndTag, doStartTag, getParent, setPageContext, setParent`

- - ### Constructor Detail

    - #### SuggestionBoxTag

          public SuggestionBoxTag()

  - ### Method Detail

    - #### setAjaxSingle

          public void setAjaxSingle(javax.el.ValueExpression __ajaxSingle)

      Boolean attribute which provides possibility to limit JSF tree processing(decoding, conversion/validation, value applying) to the component which send the request only. Default value is "true" Setter for ajaxSingle
      Parameters:
        `ajaxSingle` - - new value

    - #### setBgcolor

          public void setBgcolor(javax.el.ValueExpression __bgcolor)

      Deprecated. This attribute sets the background color for the document body or table cells. This attribute sets the background color of the canvas for the document body (the BODY element) or for tables (the TABLE, TR, TH, and TD elements). Additional attributes for specifying text color can be used with the BODY element. This attribute has been deprecated in favor of style sheets for specifying background color information Setter for bgcolor
      Parameters:
        `bgcolor` - - new value

    - #### setBorder

          public void setBorder(javax.el.ValueExpression __border)

      This attributes specifies the width (in pixels only) of the frame around a table Setter for border
      Parameters:
        `border` - - new value

    - #### setBypassUpdates

          public void setBypassUpdates(javax.el.ValueExpression __bypassUpdates)

      If "true", after process validations phase it skips updates of model beans on a force render response. It can be used for validating components input Setter for bypassUpdates
      Parameters:
        `bypassUpdates` - - new value

    - #### setCellpadding

          public void setCellpadding(javax.el.ValueExpression __cellpadding)

      This attribute specifies the amount of space between the border of the cell and its contents. If the value of this attribute is a pixel length, all four margins should be this distance from the contents. If the value of the attribute is percentage length, the top and bottom margins should be equally separated from the content based on percentage of the available vertical space, and the left and right margins should be equally separated from the content based on percentage of the available horizontal space Setter for cellpadding
      Parameters:
        `cellpadding` - - new value

    - #### setCellspacing

          public void setCellspacing(javax.el.ValueExpression __cellspacing)

      This attribute specifies how much space the user agent should leave between the table and the column on all four sides. The attribute also specifies the amount of space to leave between cells Setter for cellspacing
      Parameters:
        `cellspacing` - - new value

    - #### setEntryClass

          public void setEntryClass(javax.el.ValueExpression __entryClass)

      Name of the CSS class for a suggestion entry element. (table row) Setter for entryClass
      Parameters:
        `entryClass` - - new value

    - #### setEventsQueue

          public void setEventsQueue(javax.el.ValueExpression __eventsQueue)

      Name of requests queue to avoid send next request before complete other from same event. Can be used to reduce number of requests of frequently events (key press, mouse move etc.) Setter for eventsQueue
      Parameters:
        `eventsQueue` - - new value

    - #### setFetchValue

          public void setFetchValue(javax.el.ValueExpression __fetchValue)

      A value to set in the target input element on a choice suggestion that isn't shown in the suggestion table. It can be used for descriptive output comments or suggestions. If not set, all text in the suggestion row is set as a value Setter for fetchValue
      Parameters:
        `fetchValue` - - new value

    - #### setFirst

          public void setFirst(javax.el.ValueExpression __first)

      A zero-relative row number of the first row to display Setter for first
      Parameters:
        `first` - - new value

    - #### setFor

          public void setFor(javax.el.ValueExpression __for)

      id (or full path of id's) of target components, for which this element must provide support. If a target component inside of the same &lt;code&gt;NamingContainer&lt;/code&gt; (UIForm, UIData in base implementations), can be simple value of the "id" attribute. For other cases must include id's of &lt;code&gt;NamingContainer&lt;/code&gt; components, separated by ':'. For search from the root of components, must be started with ':'. Setter for for
      Parameters:
        `for` - - new value

    - #### setFrame

          public void setFrame(javax.el.ValueExpression __frame)

      This attribute specifies which sides of the frame surrounding a table will be visible. Possible values: "void", "above", "below", "hsides", "lhs", "rhs", "vsides", "box" and "border". The default value is "void". Setter for frame
      Parameters:
        `frame` - - new value

    - #### setFrequency

          public void setFrequency(javax.el.ValueExpression __frequency)

      Delay (in seconds) before activating the suggestion pop-up. Default value is 400ms Setter for frequency
      Parameters:
        `frequency` - - new value

    - #### setHeight

          public void setHeight(javax.el.ValueExpression __height)

      Height of the pop-up window in pixels. Default value is "200". Setter for height
      Parameters:
        `height` - - new value

    - #### setIgnoreDupResponses

          public void setIgnoreDupResponses(javax.el.ValueExpression __ignoreDupResponses)

      Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Setter for ignoreDupResponses
      Parameters:
        `ignoreDupResponses` - - new value

    - #### setImmediate

          public void setImmediate(javax.el.ValueExpression __immediate)

      A flag indicating that this component value must be converted and validated immediately (that is, during Apply Request Values phase), rather than waiting until a Process Validations phase. Setter for immediate
      Parameters:
        `immediate` - - new value

    - #### setLimitToList

          public void setLimitToList(javax.el.ValueExpression __limitToList)

      If "true", then of all AJAX-rendered on the page components only those will be updated, which ID's are passed to the "reRender" attribute of the describable component. "false"-the default value-means that all components with ajaxRendered="true" will be updated. Setter for limitToList
      Parameters:
        `limitToList` - - new value

    - #### setMinChars

          public void setMinChars(javax.el.ValueExpression __minChars)

      Minimal number of chars in input to activate suggestion pop-up Setter for minChars
      Parameters:
        `minChars` - - new value

    - #### setNothingLabel

          public void setNothingLabel(javax.el.ValueExpression __nothingLabel)

      "nothingLabel" is inserted to popup list if the autocomplete returns empty list. It isn't selectable and list is closed as always after click on it and nothing is put to input. Setter for nothingLabel
      Parameters:
        `nothingLabel` - - new value

    - #### setOnbeforedomupdate

          public void setOnbeforedomupdate(javax.el.ValueExpression __onbeforedomupdate)

      The client side script method to be called before DOM is updated Setter for onbeforedomupdate
      Parameters:
        `onbeforedomupdate` - - new value

    - #### setOncomplete

          public void setOncomplete(javax.el.ValueExpression __oncomplete)

      The client side script method to be called after the request is completed Setter for oncomplete
      Parameters:
        `oncomplete` - - new value

    - #### setOnobjectchange

          public void setOnobjectchange(javax.el.ValueExpression __onobjectchange)

      HTML: script expression; selected objects are changed Setter for onobjectchange
      Parameters:
        `onobjectchange` - - new value

    - #### setOnselect

          public void setOnselect(javax.el.ValueExpression __onselect)

      HTML: script expression; after value of target element is updated Setter for onselect
      Parameters:
        `onselect` - - new value

    - #### setOnsubmit

          public void setOnsubmit(javax.el.ValueExpression __onsubmit)

      HTML: script expression; before ajax event is submited Setter for onsubmit
      Parameters:
        `onsubmit` - - new value

    - #### setParam

          public void setParam(javax.el.ValueExpression __param)

      Name the HTTP request parameter with the value of input element token. If not set, it be will sent as an input element name. In this case, input will perform validation and update the value. Default value is "inputvalue". Setter for param
      Parameters:
        `param` - - new value

    - #### setPopupClass

          public void setPopupClass(javax.el.ValueExpression __popupClass)

      HTML CSS class attribute of element for pop-up suggestion content Setter for popupClass
      Parameters:
        `popupClass` - - new value

    - #### setPopupStyle

          public void setPopupStyle(javax.el.ValueExpression __popupStyle)

      HTML CSS style attribute of element for pop-up suggestion content Setter for popupStyle
      Parameters:
        `popupStyle` - - new value

    - #### setProcess

          public void setProcess(javax.el.ValueExpression __process)

      Id['s] (in format of call UIComponent.findComponent()) of components, processed at the phases 2-5 in case of AjaxRequest caused by this component. Can be single id, comma-separated list of Id's, or EL Expression with array or Collection Setter for process
      Parameters:
        `process` - - new value

    - #### setReRender

          public void setReRender(javax.el.ValueExpression __reRender)

      Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component. Can be single id, comma-separated list of Id's, or EL Expression with array or Collection Setter for reRender
      Parameters:
        `reRender` - - new value

    - #### setRequestDelay

          public void setRequestDelay(javax.el.ValueExpression __requestDelay)

      Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send. When the delay time is over, the request will be sent to the server or removed if the newest 'similar' request is in a queue already Setter for requestDelay
      Parameters:
        `requestDelay` - - new value

    - #### setRowClasses

          public void setRowClasses(javax.el.ValueExpression __rowClasses)

      A comma-delimited list of CSS style classes that is applied to popup table rows. A space separated list of classes may also be specified for any individual row. The styles are applied, in turn, to each row in the table. For example, if the list has two elements, the first style class in the list is applied to the first row, the second to the second row, the first to the third row, the second to the fourth row, etc. In other words, we keep iterating through the list until we reach the end, and then we start at the beginning again Setter for rowClasses
      Parameters:
        `rowClasses` - - new value

    - #### setRules

          public void setRules(javax.el.ValueExpression __rules)

      This attribute specifies which rules will appear between cells within a table. The rendering of rules is user agent dependent. Possible values: none: No rules. This is the default value. groups: Rules will appear between row groups (see THEAD, TFOOT, and TBODY) and column groups (see COLGROUP and COL) only. rows: Rules will appear between rows only. cols: Rules will appear between columns only. all: Rules will appear between all rows and columns Setter for rules
      Parameters:
        `rules` - - new value

    - #### setSelectValueClass

          public void setSelectValueClass(javax.el.ValueExpression __selectValueClass)

      Name of the CSS class for a selected suggestion entry element (table cell) Setter for selectValueClass
      Parameters:
        `selectValueClass` - - new value

    - #### setSelectedClass

          public void setSelectedClass(javax.el.ValueExpression __selectedClass)

      Name of the CSS class for a selected suggestion entry element (table row) Setter for selectedClass
      Parameters:
        `selectedClass` - - new value

    - #### setSelfRendered

          public void setSelfRendered(javax.el.ValueExpression __selfRendered)

      If "true", forces active Ajax region render response directly from stored components tree, bypasses page processing. Can be used for increase performance. Also, must be set to 'true' inside iteration components, such as dataTable. Setter for selfRendered
      Parameters:
        `selfRendered` - - new value

    - #### setShadowDepth

          public void setShadowDepth(javax.el.ValueExpression __shadowDepth)

      Pop-up shadow depth for suggestion content Setter for shadowDepth
      Parameters:
        `shadowDepth` - - new value

    - #### setShadowOpacity

          public void setShadowOpacity(javax.el.ValueExpression __shadowOpacity)

      Attribute defines shadow opacity for suggestion content Setter for shadowOpacity
      Parameters:
        `shadowOpacity` - - new value

    - #### setSimilarityGroupingId

          public void setSimilarityGroupingId(javax.el.ValueExpression __similarityGroupingId)

      If there are any component requests with identical IDs then these requests will be grouped. Setter for similarityGroupingId
      Parameters:
        `similarityGroupingId` - - new value

    - #### setStatus

          public void setStatus(javax.el.ValueExpression __status)

      ID (in format of call UIComponent.findComponent()) of Request status component Setter for status
      Parameters:
        `status` - - new value

    - #### setSuggestionAction

          public void setSuggestionAction(javax.el.MethodExpression __suggestionAction)

      Method calls an expression to get a collection of suggestion data on request. It must have one parameter with a type of Object with content of input component and must return any type allowed for &lt;h:datatable&gt; Setter for suggestionAction
      Parameters:
        `suggestionAction` - - new value

    - #### setSummary

          public void setSummary(javax.el.ValueExpression __summary)

      This attribute provides a summary of the table's purpose and structure for user agents rendering to non-visual media such as speech and Braille Setter for summary
      Parameters:
        `summary` - - new value

    - #### setTimeout

          public void setTimeout(javax.el.ValueExpression __timeout)

      Response waiting time on a particular request. If a response is not received during this time, the request is aborted Setter for timeout
      Parameters:
        `timeout` - - new value

    - #### setTokens

          public void setTokens(javax.el.ValueExpression __tokens)

      The list (or single value) of symbols which can be used for division chosen of suggestion pop-up values in a target element. After input of a symbol from the list suggestion pop-up it is caused again Setter for tokens
      Parameters:
        `tokens` - - new value

    - #### setUsingSuggestObjects

          public void setUsingSuggestObjects(javax.el.ValueExpression __usingSuggestObjects)

      if true, a suggested object list will be created and will be updated every time when an input value is changed. Default value is "false". Setter for usingSuggestObjects
      Parameters:
        `usingSuggestObjects` - - new value

    - #### setVar

          public void setVar(java.lang.String __var)

      A request-scope attribute via which the data object for the current row will be used when iterating Setter for var
      Parameters:
        `var` - - new value

    - #### setWidth

          public void setWidth(javax.el.ValueExpression __width)

      Width of the pop-up window in pixels. Default value is "200". Setter for width
      Parameters:
        `width` - - new value

    - #### setZindex

          public void setZindex(javax.el.ValueExpression __zindex)

      Attribute is similar to the standard HTML attribute and can specify window placement relative to the content. Default value is "200". Setter for zindex
      Parameters:
        `zindex` - - new value

    - #### release

          public void release()

      Specified by:
        `release` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

    - #### setProperties

          protected void setProperties(javax.faces.component.UIComponent component)

      Overrides:
        `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

    - #### getComponentType

          public java.lang.String getComponentType()

      Specified by:
        `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

    - #### getRendererType

          public java.lang.String getRendererType()

      Specified by:
        `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Copyright © 2014. All Rights Reserved.